import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import {max,scaleSqrt  } from 'd3';
import { useMassGeo } from './useMassGeo';
import { useCrimeData } from './useCrimeData';
import { Marks } from './Marks';

const width = 960;
const height = 500;

const App = () => {
  const MassGeo = useMassGeo();
  const CrimeData =useCrimeData();

  if (!MassGeo||!CrimeData) {
    return <pre>Loading...</pre>;
  }

    const cityname =d => d.City;
  const countyname =d => d.County;
  const sizeValue = d =>d.crime_rate;
	const maxRadius= 10;
	const sizeScale = scaleSqrt()
	.domain([0, max(CrimeData, sizeValue)])
	.range([0, maxRadius]);
 
  return (
    <svg width={width} height={height}>
     
        <Marks
          MassGeo={MassGeo}
          CrimeData = {CrimeData}
          sizeScale = {sizeScale}
          sizeValue = {sizeValue}
            cityname = {cityname}
          countyname= {countyname}
        />
     
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
